| Flutter macOS Embedder |

Instance Methods | Protected Attributes | List of all members
_FlutterDisplayLink Class Reference
Inheritance diagram for _FlutterDisplayLink:

## Instance Methods
(void) | - didFireWithTimestamp:targetTimestamp:
Instance Methods inherited from FlutterDisplayLink
(void) | - invalidate
| Invalidates the display link. Must be called on the main thread. More...

## Protected Attributes
_FlutterDisplayLinkView * | _view
std::optional< CGDirectDisplayID > | _display_id
BOOL | _paused

## Additional Inherited Members
Class Methods inherited from FlutterDisplayLink
(instancetype) | + displayLinkWithView:
Properties inherited from FlutterDisplayLink
id< FlutterDisplayLinkDelegate > | delegate
BOOL | paused
| Pauses and resumes the display link. May be called from any thread. More...
CFTimeInterval | nominalOutputRefreshPeriod

## Detailed Description

Definition at line 29 of file FlutterDisplayLink.mm.

## Method Documentation

## ◆ didFireWithTimestamp:targetTimestamp:

- (void) didFireWithTimestamp: |  | (CFTimeInterval) | timestamp
targetTimestamp: |  | (CFTimeInterval) | targetTimestamp

Definition at line 309 of file FlutterDisplayLink.mm.

309 :(CFTimeInterval)timestamp
310 targetTimestamp:(CFTimeInterval)targetTimestamp {
311 @synchronized(self) {
312 if (!_paused) {
313 id<FlutterDisplayLinkDelegate> delegate = _delegate;
314 [delegate onDisplayLink:timestamp targetTimestamp:targetTimestamp];
315 }
316 }
317 }

References _paused, and FlutterDisplayLink::delegate.

## Member Data Documentation

## ◆ _display_id

- (optional<CGDirectDisplayID>) _FlutterDisplayLink:
| protected

Definition at line 31 of file FlutterDisplayLink.mm.

## ◆ _paused

- (BOOL) _paused
| protected

Definition at line 32 of file FlutterDisplayLink.mm.

Referenced by didFireWithTimestamp:targetTimestamp:.

## ◆ _view

- (_FlutterDisplayLinkView*) _view
| protected

Definition at line 30 of file FlutterDisplayLink.mm.

The documentation for this class was generated from the following file:

- shell/platform/darwin/macos/framework/Source/FlutterDisplayLink.mm

_FlutterDisplayLink::_paused
BOOL _paused
Definition: FlutterDisplayLink.mm:32
FlutterDisplayLink::delegate
id< FlutterDisplayLinkDelegate > delegate
Definition: FlutterDisplayLink.h:25